#!/bin/bash
declare Version=1.1.4

echo "Running ${0##*/} v$Version."

# Installing Helix Swarm and Git Fusion packages.
sudo yum install perforce-git-fusion -y
sudo yum install perforce-swarm -y
sudo yum install perforce-server -y
sudo yum install perforce-cli -y

echo "Creating perforce user."
sudo groupadd perforce
sudo useradd -s /bin/bash -m perforce -g perforce
echo perforce:4F@stSCM | sudo chpasswd

echo "Allowing user 'perforce' sudo privileges."
echo 'perforce ALL=(ALL) NOPASSWD:ALL' > /tmp/perforce
sudo chmod 0700 /tmp/perforce
sudo chown root:root /tmp/perforce
sudo mv /tmp/perforce /etc/sudoers.d/.

echo "Setting password for user perforce to: 4F@stSCM"
echo perforce:4F@stSCM | sudo chpasswd

echo "Creating initial SDP dirs."
declare DirList="/p4 /depotdata/reset /depotdata/p4/common/bin/cbd /metadata /logs"

mkdirCmd="sudo /bin/mkdir -p $DirList"
echo "Running: $mkdirCmd"
$mkdirCmd

chownCmd="sudo chown -R perforce:perforce $DirList"
echo "Running: $chownCmd"
$chownCmd

echo "Setting up environment niceties for perforce user."
BASHRC=/tmp/.bashrc.perforce
echo '[[ -f /p4/common/bin/p4_vars ]] && source /p4/common/bin/p4_vars 1'> $BASHRC
echo "export PS1='\$USER@\${HOSTNAME%%.*}:\$PWD '" >> $BASHRC
echo "alias md='/bin/mkdir -p'" >> $BASHRC
echo "alias rd=/bin/rmdir" >> $BASHRC
echo "alias o='p4 opened ...'" >> $BASHRC
echo 'set -o vi' >> $BASHRC
cat $BASHRC >> ~perforce/.bashrc
sudo chown perforce:perforce ~perforce/.bashrc

exit 0
